Extraction API
Introduction
This API will extract data from the image of driving licence provided as an input.
It will extract the following information:
- Name
- DL issue date
- D.O.B of DL holder
- Expiry Date
- DL Number
- Guardian name
- Address
How to call the API
You will need to login before sending extraction request. You are required to pass the access token received from the login call, as authorization header in the request for DL extraction API along with other parameters.
API Input Guidelines
- Add URL of front and back images of the DL.
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/drivingLicenceV2' \
--header 'Accept: application/json, text/plain, */*' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": "extraction",
"essentials": {
"images": [
"<DL Front Side URL>",
"<DL Back side URL>"
]
}
}'Response Parameters
Parameter Name | Description |
|---|---|
id | Unique ID of the response |
patronId | PatronID of the user from login call |
task | The type of task performed - “Extraction” |
result.name | Name of DL holder |
result.issueDate | Date of issue of Licence |
result.dob | Date of birth of licence holder |
result.expiryDate | Expiry date of DL |
result.number | DL number |
result.guardianName | Gurdian Name of Licence holder |
result.address | Address mentioned in DL |
result.splitAddress.district | Name of district mentioned in licence |
result.splitAddress.state | Name of state mentioned in Licence |
result.splitAddress.city | Name of city mentioned in Licence |
result.splitAddress.pincode | Pincode mentioned in Licence |
result.splitAddress.country | Name of the country mentioned in DL |
result.splitAddress.addressLine | Address mentioned in DL |
result.dlType | Type of driving licence, it can be of multiple types like LMV,MCWG,HMV,HGMV,HPMV/HTV |
result.state | State of Licence holder |
result.summary.number | DL number |
result.summary.name | Name of DL holder |
result.summary.dob | Date of birth of licence holder |
result.summary.address | Address of Licence holder |
result.summary.splitAddress.district | Name of district mentioned in licence |
result.summary.splitAddress.state | State in which the DL holder resides |
result.summary.splitAddress.city | Name of city mentioned in Licence |
result.summary.splitAddress.pincode | Pincode of the city |
result.summary.splitAddress.country | Name of the country mentioned in DL |
result.summary.splitAddress.addressLine | Address mentioned in the DL |
result.gender | Gender of the Licence holder |
result.guardianName | Gurdian Name of Licence holder |
result.issueDate | Issue date of the Licence |
result.expiryDate | Expiry date of the licence |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].